Revenue report
get
https://app.iteras.dk/api/revenuereport/
The /api/revenuereport/ endpoint enables
you to download a revenue report in CSV format.
Parameters
Both dates are inclusive.
-
calculate string requiredMust be either
invoiced,accruedornotyetaccrued. -
start_date date requiredE.g.
2026-07-09(inclusive). -
end_date date requiredE.g.
2026-10-08(inclusive). -
columns stringA comma separated list of columns to include in the export. Options are
invoices,without_vat,vat,with_vat. A minimum of one choice is required. -
distribute_on stringE.g.
country. Run the report within Iteras and observe the exact terms from the URL. Can be repeated. A maximum of four choices are allowed. -
product stringUse
external_idof the products and/or the stringnonefor targeting "no product" (for fees etc.). Can be repeated. -
business_entity stringThe external ID of the business entity to make the report for, must be specified if
product_idis not given. -
encoding stringCharacter set of returned CSV file,
UTF-8orISO-8859-1. If none is specified the report will be encoded with UTF-8.
Return value
Returns the report data as a CSV file, in the same format as you get if you download the export inside Iteras.
A missing or invalid required parameter, more than four distribute_on choices,
an unknown business_entity or product, or an invalid
encoding returns a plain text HTTP 400/404 error.
Example
The endpoint can be used to automatically download a revenue report on a regular basis. For instance, you could monthly fetch last 30 days data with something like:
curl --request GET "https://app.iteras.dk/api/revenuereport/?calculate=invoiced&start_date=2026-09-08&end_date=2026-10-08&columns=invoices,with_vat&product=452&distribute_on=country&distribute_on=field:petowner " \
--header "Authorization: Bearer <Iteras API key>" \
-OJ # output the file to the standard Iteras filename supplied in the HTTP header